/*
 * Please see the included README.md file for license terms and conditions.
 */


// This file is a suggested starting place for your code.
// It is completely optional and not required.
// Note the reference that includes it in the index.html file.


/*jslint browser:true, devel:true, white:true, vars:true */
/*global $:false, intel:false app:false, dev:false, cordova:false */



// This file contains your event handlers, the center of your application.
// NOTE: see app.initEvents() in init-app.js for event handler initialization code.

// function myEventHandler() {
//     "use strict" ;
// // ...event handler code here...
// }


// ...additional event handlers here...

var bannerAdUnit = "ca-app-pub-7520651422686169/5058795934";
var interstitialAdUnit = "ca-app-pub-7520651422686169/6535529134";
var isOverlap = true; //true: overlap, false: split
var isTest = false;
if(!localStorage.bayinit){
    localStorage.setItem('bayinit',1);
}

var appServer = {
    full: '<div class="full"><div class="card"><div class="card-header"><h1>Available in paid version<small class="text-justify">Download the paid version now and enjoy this feature<br>With the search, you can search for the commands you need. Save commands most used by you as a favorite. Mini forum where you can exchange ideas, doubts and solutions with people from all over the world. Now with the option offline you can access the data without needing internet. There are more than 100 NEW commands</small></h1><button class="btn bgm-black btn-icon-text waves-effect" ex-href="https://play.google.com/store/apps/details?id=br.com.ddsw.app.cmdfull"><i class="zmdi zmdi-google-play"></i> Buy now (US$2,5)</button> <button id="closefull" class="btn btn-default btn-icon-text waves-effect"><i class="zmdi zmdi-close"></i> Not now</button></div></div></div>',
    init: function() {
        appServer.initHtml();
        appServer.initMenu();
        appServer.initHome();
        window.admob.setUp(bannerAdUnit, interstitialAdUnit, null, isOverlap, isTest);
        window.admob.preloadBannerAd();
        window.admob.showBannerAd('bottom-center', 'SMART_BANNER');
        window.admob.preloadInterstitialAd();//option, download ad previously for fast show
        window.admob.showInterstitialAd();
    },
    initHtml: function() {
        console.info("Carregando Paginas");
        $(".header").load("html/header.html");
        $(".menu").load("html/menu.html");
        $(".main").load("html/main.html");
        $("#descricao").load("html/descricao.html");
        setTimeout(function() {
            active_page("#mainpage");
        }, 5000);
    },
    initMenu: function() {
        $.getJSON('http://app.ddsw.com.br/bash/?menu', function(data) {
           var items = [];
            items.push('<li class="sub-menu"><a data-ma-action="submenu-toggle"><i class="zmdi zmdi-collection-item"></i> Codes</a><ul>');
            $.each(data, function(keys, vals) {
                items.push('<li class="sub-menu"><a data-ma-action="submenu-toggle"><i class="zmdi zmdi-collection-item"></i> ' + vals.cat +'</a><ul>');
                $.each(vals.list, function(key, val) {
                    items.push('<li><a date-title="' + val.nodeValue + '" data-href="' + val.href + '">' + val.nodeValue + '</a></li>');
                });
                items.push('</ul></li>');
                
            });
            items.push('</ul></li>');
//            items.push('<li><a id="licence" ex-href="http://www.home.unix-ag.org/simon/penguin/README"><i class="zmdi zmdi-card-membership"></i> Licence</a></li>');
            //items.push('<li><a id="myFav"><i class="zmdi zmdi-favorite"></i> My Favorite</a></li>');
            //items.push('<li><a id="forun"><i class="zmdi zmdi-comments"></i> Forun</a></li>');
            //items.push('<li><a id="about"><i class="zmdi zmdi-info"></i> About</a></li>');
            //console.info(items);
            $(".main-menu").html(items.join( '' ));
        });
    },
    initHome: function() {
        $.getJSON('http://app.ddsw.com.br/bash/?menu', function(data) {
           var items = [];
            $.each(data, function(keys, vals) {
                items.push(' <div class="panel panel-collapse">'+
                        '<div class="panel-heading" role="tab">'+
                            '<h4 class="panel-title">'+
                                '<a data-toggle="collapse" data-parent="#accordionCyan" href="#accordionCyan-'+vals.cat+'" aria-expanded="false class="collapsed">'+
                                    vals.cat +
                                '</a>'+
                            '</h4>'+
                        '</div>'+
                        '<div id="accordionCyan-'+vals.cat+'" class="collapse" role="tabpanel" aria-expanded="false" style="height: 0px;">'+
                            '<div class="panel-body">'+
                          '<ul class="clist clist-check">');
                $.each(vals.list, function(key, val) {
                    items.push('<li><a date-title="' + val.nodeValue + '" data-href="' + val.href + '">' + val.nodeValue + '</a></li>');
                });
                items.push('</ul></div></div></div>');
            });
            //console.info(items);
            $("#list").html(items.join( '' ));
        });
    },
    getContent: function(pag) {
        $("#contents").load("http://app.ddsw.com.br/bash/?pag=" + pag);
    }
};

function initAppCMD() {
    
    $(document).on('click', '[data-href]', function(evt) {
        active_page("#descricao");
        $("#title").html($(evt.currentTarget).attr('date-title'));
        appServer.getContent($(evt.currentTarget).attr('data-href'));
        $("#open-in-new").attr('ex-href',"http://ss64.com/bash/" + $(evt.currentTarget).attr('data-href'));
        window.scrollTo(0, 0);
        $("body").removeClass("sidebar-toggled"); $(".ma-backdrop").remove(); $(".sidebar, .ma-trigger").removeClass("toggled");
        return false;
    });
    
    $(document).on('click', '#btn-descricao-home', function(evt) {
        active_page("#mainpage");
        window.scrollTo(0, 0);
        return false;
    });
    
    $(document).on('click', '[ex-href]', function(evt) {
        var href = $(evt.currentTarget).attr("ex-href");
        if(href === "https://play.google.com/store/apps/details?id=br.com.ddsw.app.cmdfull" || href === "http://www.home.unix-ag.org/simon/penguin/README") {
            localStorage.bayinit = 0;
            $('.full').remove();
            navigator.app.loadUrl(href, { openExternal:true });
        }
        return false;
    });
    
    $(document).on('click', '#closefull', function(evt) {
        $('.full').remove();
        return false;
    });

    $(document).on('keyup', '#s', function(evt) {
        var key = event.which || event.keyCode;
        if(key === 13) {
            $('body').append(appServer.full);
        }
        return false;
    });

    $(document).on('click', '#myFav,#forun,#fav,#search-open', function(evt) {
        $('body').append(appServer.full);
        var id = $(evt.currentTarget).attr('id');
        if( id == "myFav" || id == "forun" )
        $("body").removeClass("sidebar-toggled"); $(".ma-backdrop").remove(); $(".sidebar, .ma-trigger").removeClass("toggled");
        return false;
    });
    
    $(document).on('click', '#share', function(evt) {
       // this is the complete list of currently supported params you can pass to the plugin (all optional)
        var options = {
          url: $("#content").text(),
          chooserTitle: $("#title").html() // Android only, you can override the default share sheet title
        };

        var onSuccess = function(result) {
          console.log("Share completed? " + result.completed); // On Android apps mostly return false even while it's true
          console.log("Shared to app: " + result.app); // On Android result.app is currently empty. On iOS it's empty when sharing is cancelled (result.completed=false)
        };

        var onError = function(msg) {
          console.log("Sharing failed with message: " + msg);
        };

        window.plugins.socialsharing.shareWithOptions(options, onSuccess, onError);
    });
}

function active_page(id) {
    $(".page").addClass("hidden");
    $(id).removeClass("hidden");
}

document.addEventListener("app.Ready", initAppCMD, false) ;
document.addEventListener("app.Ready", appServer.init, false) ;
