var onDeviceReady=function(){
    initAdMob();
    showAdMobInterstitial();
    showAdMobBanner();
};
document.addEventListener("deviceready",onDeviceReady,false);

function initAdMob(){
    if ( window.plugins && window.plugins.AdMob ) {
        var admob_key_banner = "ca-app-pub-7520651422686169/9906093930";
        var admob_key_interstitial = "ca-app-pub-7520651422686169/5020065930";
        window.plugins.AdMob.setOptions( {
            publisherId: admob_key_banner,
            bannerAtTop: false, // set to true, to put banner at top
            overlap: false, // set to true, to allow banner overlap webview
            offsetTopBar: true, // set to true to avoid ios7 status bar overlap                    
            interstitialAdId: admob_key_interstitial,
            autoShow: true, // autoshow intertitial Ad
            isTesting: false // receiving test ad
            //adSize: admobExport.AD_SIZE.SMART_BANNER
            
        });
    } else {
        alert("AdMob plugin not ready");
    }
}

function showAdMobBanner(){
    window.plugins.AdMob.createBannerView();
}

function showAdMobInterstitial(){
    window.plugins.AdMob.createInterstitialView();
}